type
Tblocklongint=packed array[0..7,0..7] of longint;

Procedure Pokus(var a,b:tblocklongint);assembler;
asm
mov eax,a
lea ebx,a
mov edx,[EBP+4]
mov ecx,[EBP+0]
nop
end;


var a,b:tblocklongint;
    i,j:longint;

begin
for i:=0 to 7 do
    for j:=0 to 7 do
        begin
        a[i,j]:=(i)*100+j;
        b[i,j]:=(i+1)*1000+j;
        end;

Pokus(a,b);

end.